AR# 44439

|

ChipScope Analyzer - "ERROR: Could not open plug-in of the type: digilent_plugin"

描述

When I try to connect to a configuration cable in the ChipScope analyzer, Isee the following error message:
"ERROR: Could not open plug-in of the type: digilent_plugin"

What causes this error message and how can I get the cable to work in the ChipScope analyzer?

解决方案

This kind of error message can occur if you have installed many different versions of the ISE software on your machine in the past. The problem is caused by the missing the Digilent plug-in that is necessary to connect to your configuration cable.

To fix this issue, re-install the Digilent cable plug-in. Please follow the instructions below on where to find the plug-in installation files and how to install the plug-in on the machine.

Windows Installations

  1. Navigate to the Digilent subfolder in the Xilinx installation tree:
    $XILINX\bin\<OS>\digilent

    For example, Windows 32 is in the following folder:
    C:\Xilinx\13.3\ISE_DS\ISE\bin\nt\digilent

  2. Double-click on the install_digilent.exe executable and follow the wizard instructions to install the plugin.

Linux Installations

Please refer to (Xilinx Answer 42728).

链接问答记录

相关答复记录

Answer Number 问答标题 问题版本 已解决问题的版本
42728 13.x/14.x iMPACT/ChipScope/XMD - Digilent Programming Cable Requires the LibUSB1.0 Package to be Installed N/A N/A
AR# 44439
日期 12/15/2012
状态 Active
Type 综合文章
People Also Viewed